Skip to main content

Get All Environment Clients

GET 

/v1/environment-client

Get all clients for a product, requires clients:config:view permission

Request

Query Parameters

    product_id uuid

    Product ID specifier

    environment_id uuid

    Environment ID specifier

Responses

Successful Response

Schema

    clients

    object[]

    required

  • Array [

  • client_id uuidrequired
    client_secret Client Secret (string)

    Client secret. Note the value of the secret is returned only when the secret is first generated or the secret is rotated.

    environment_id uuid

    Optionally scope this client to a single Environment.

    name Name (string)required

    policy

    object

    required

    policy_id uuidrequired
    name Name (string)required
    permissions string[]required
    description Description (string)required
    type ProductPolicyType (string)

    Possible values: [internal, default, custom]

    An enumeration.

    client_auth_enable Client Auth Enable (boolean)

    Default value: true

    Enable Client Credential Authentication. This is recommended for services, automated processes, or third-parties.

    user_auth_enable User Auth Enable (boolean)

    Default value: true

    Enable User Authentication (e.g. Steam, Xbox, PSN, Epic, Anon, etc). This is recommended for Game Clients and first-party websites.

    refresh_token_enable Refresh Token Enable (boolean)

    Default value: true

    Enable Refresh tokens for authentications using this policy. If true, the refresh_token_lifetime_days field is used to limit how long the tokens remain valid.

    access_token_lifetime_seconds Access Token Lifetime Seconds (integer)

    Possible values: >= 600

    Default value: 600

    Access token lifetime in seconds

    refresh_token_lifetime_days Refresh Token Lifetime Days (integer)

    Possible values: >= 7

    Default value: 7

    Refresh token lifetime in days. If empty, refresh tokens will not expire.

    description Description (string)required
    client_secret_raw Client Secret Raw (string)

    Client secret in raw format. Requires clients:secret:view permission.

  • ]

Loading...